Bug 533762

Summary: multilib_policy should be set to 'best' for 64 bit epel distro.
Product: [Fedora] Fedora Reporter: Takanori MATSUURA <t.matsuu>
Component: mockAssignee: Clark Williams <williams>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: bloch, dcantrell, jan.kratochvil, mebrown, williams
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: mock-1.1.17-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-24 23:00:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Takanori MATSUURA 2009-11-09 02:45:05 UTC
When we build 64 bit packages for epel/fedora, we usually need only 64 bit libraries.
And we should use 32 bit architecture for building 32 bit packages.

So I suppose
multilib_policy = best
to [main] section of /etc/mock/*.cfg files for 64 bit architectures (x86_64, ppc64, and sparc64).

Comment 1 Bug Zapper 2009-11-16 15:20:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Jan Kratochvil 2010-02-27 20:11:27 UTC
For example fedora-12-x86_64.cfg now contains:

#exclude=[0-9A-Za-fh-z]*.i?86 g[0-9A-Za-km-z]*.i?86 gl[0-9A-Za-hj-z]*.i?86 gli[0-9A-Zac-z]*.i?86 glib[0-9A-Za-bd-z]*.i?86
# The above is not needed anymore with yum multilib policy of "best" which is the default in Fedora.

But epel-4-x86_64.cfg and epel-5-x86_64.cfg still contain:

exclude=[1-9A-Za-fh-z]*.i?86 g[0-9A-Za-km-z]*.i?86 gl[0-9A-Za-hj-z]*.i?86 gli[0-9A-Zac-z]*.i?86 glib[0-9A-Za-bd-z]*.i?86

which makes them broken for anything multilib in x86_64 mock chroot.

Commenting out these epel-{4,5}-x86_64.cfg "exclude" lines works fine for me with F-12 mock+yum.

Takanori, do you agree to just remove the "exclude" lines instead?

Comment 3 Bug Zapper 2010-11-04 06:39:35 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jan Kratochvil 2010-11-04 16:06:04 UTC
mock-1.1.5-1.fc14.noarch

Comment 5 Fedora Admin XMLRPC Client 2011-03-11 18:10:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Clark Williams 2011-09-23 18:50:02 UTC
I believe the changes proposed by Jan in #c2 have fixed the concerns on this bug (since the default multilib policy is 'best' on Fedora now). 

Closing as CURRENTRELEASE. If it's not fixed for you, please reopen.

Comment 7 Jan Kratochvil 2011-09-23 18:57:27 UTC
Reopening.
mock-1.1.14-1.fc14.noarch still contains the exclude lines for both epel-4-x86_64.cfg and epel-5-x86_64.cfg so it cannot work.

Comment 8 Clark Williams 2011-10-12 22:39:29 UTC
Nuked the exclude line from /etc/mock/epel-{4,5}-x86_64.cfg and removed the commented out section from the other x86_64 configs. 

queued for mock-1.1.16

Comment 9 Fedora Update System 2011-10-14 16:29:04 UTC
mock-1.1.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc15

Comment 10 Fedora Update System 2011-10-14 16:30:09 UTC
mock-1.0.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.23-1.el5

Comment 11 Fedora Update System 2011-10-14 16:31:13 UTC
mock-1.1.16-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc14

Comment 12 Fedora Update System 2011-10-14 16:32:13 UTC
mock-1.1.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.el6

Comment 13 Fedora Update System 2011-10-15 20:25:32 UTC
Package mock-1.1.16-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.16-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14382
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-10-24 23:00:02 UTC
mock-1.1.16-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-10-24 23:05:27 UTC
mock-1.1.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-11-01 15:41:05 UTC
mock-1.1.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc15

Comment 17 Fedora Update System 2011-11-01 15:42:21 UTC
mock-1.1.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc16

Comment 18 Fedora Update System 2011-11-01 15:43:33 UTC
mock-1.1.17-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc14

Comment 19 Fedora Update System 2011-11-01 15:45:04 UTC
mock-1.0.24-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.24-1.el5

Comment 20 Fedora Update System 2011-11-01 15:46:21 UTC
mock-1.1.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.el6

Comment 21 Fedora Update System 2011-11-11 01:23:19 UTC
mock-1.1.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-11-26 19:24:25 UTC
mock-1.1.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-11-26 19:25:46 UTC
mock-1.0.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-11-26 23:03:03 UTC
mock-1.1.17-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2011-11-26 23:07:13 UTC
mock-1.1.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.